stages:
  - build
  - test

build website:
  stage: build
  script:
    - echo "build"
    - echo "Instalando dependencias"
    - mkdir public
    - cp index.html public
  artifacts:
    paths:
      - ./public


test-1:
  stage: test
  script:
    - echo "Test 1"
    - grep -q "Intro a DevOps" ./public/index.html

test-2:
  stage: test
  script:
    - echo "Test 2"
    - grep -q "Estoy aprendiendo CI/CD!" ./public/index.html




